Subject: Re: [OSPF] WG Last Call for Support of address families in OSPFv3 - draft-ietf-ospf-af-alt-07.txt

From: Acee Lindem <[email-masked]>
Date: Fri, 6 Mar 2009 14:30:09 -0500

Hi Dave,

We'll provided an updated version of the draft addressing your  
comments. We need to discuss among the authors.

On Feb 25, 2009, at 2:23 PM, David Ward wrote:

> Acee and OSPF'ers -
>
> A few comments:
>
> 0) It's unclear what happens if the value of the instance_id (which  
> has semantics of AF/SAF) and the prefix options bits in 2.2.2 don't  
> match. What happens in this failure case and what should win?
> 	a) in addition, what happens if an instance_id >= 128 is received?
>
> 1) The draft may want to call out a few more details that are in  
> 5340 that the instance_id is per link and a few of the rules in 5340.

I agree we need to clarify these cases. I wish the original OSPFv3  
RFC hadn't included any bits without specification of how they are  
going to be used.

>
> 2) It isn't clear if there are or should be rules for leaking  
> routes between instances. For example:
>
> http://www.ietf.org/internet-drafts/draft-ietf-ccamp-gmpls-ason- 
> routing-ospf-07.txt
>
> requires that leaking and policy is required. Given that, it seems  
> you have to have some general rules and failure conditions. For  
> example, leaking between instances of the same AF could be allowed  
> and they are to be imported as ASE ...

I don't think this should be specified other than the obvious rule  
that the any imported routes should be from the same address family.  
Note that the above draft is an experimental draft and its utility  
remains to be proven.

>
> <As an aside I've cc'ed the CCAMP WG chairs to be aware of this  
> draft and WG LC>
>
> 3) Do you want to set aside a small set of instance_ids for non- 
> routing information at this time? Given you have taken on the work,  
> and you know it is coming maybe it makes sense now?

I'll discuss with other authors. The space is very small (256 code  
points), so we have be careful we don't restrict this too much.

Thanks,
Acee

>
> I have other comments but, this is a start.
>
> -DWard
>
> On Feb 25, 2009, at 5:13 AM, Acee Lindem wrote:
>
>> This starts the Working Group Last Call for the subject document.  
>> The target status is proposed standard.
>> The WG Last Call will start today and end March 12th at 12:00 AM EDT.
>>
>> Thanks,
>> Acee
>> _______________________________________________
>> OSPF mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ospf
>

---

From: Acee Lindem <[email-masked]>
Date: Fri, 13 Mar 2009 07:50:56 -0400

The WG last call has ended. We issue a new version addressing Dave's  
comments once we've agreed on the updated text among the document  
authors.
Thanks,
Acee
On Mar 6, 2009, at 2:30 PM, Acee Lindem wrote:

>> 0) It's unclear what happens if the value of the instance_id  
>> (which has semantics of AF/SAF) and the prefix options bits in  
>> 2.2.2 don't match. What happens in this failure case and what  
>> should win?
> that the any imported routes should be from the same address  
> family. Note that the above draft is an experimental draft and its  
> utility remains to be proven.
>
>
>>
>> routing information at this time? Given you have taken on the  
>> work, and you know it is coming maybe it makes sense now?
>